/*
 * helper.h
 *
 *  Created on: Jul 14, 2022
 *      Author: tom
 */

#ifndef INC_HELPER_H_
#define INC_HELPER_H_

struct	_tm_ {	/* compare to ctime(3) */
	uint16_t	year;
	uint16_t	mon;
	uint16_t	day;
	uint16_t	hour;
	uint16_t	min;
	uint16_t	sec;
};

char *ltrim(char *s);
char *rtrim(char *s);
char *trim(char *s);

int strtotime (char *s, struct _tm_ *tp);
// uint8_t dayofweek(uint8_t century, uint8_t y, uint8_t m, uint8_t d);


#endif /* INC_HELPER_H_ */
